{
    description = "@project_description@";

    inputs = {
        nixpkgs.url = "github:NixOS/nixpkgs/nixpkgs-unstable";
        rust-overlay.url = "github:oxalica/rust-overlay";
    };

    outputs = { nixpkgs, rust-overlay, ... }:
    let
        system = "x86_64-linux";

        pkgs = import nixpkgs {
            inherit system;
            overlays = [ (import rust-overlay) ];
        };

        rustToolchain = pkgs.rust-bin.fromRustupToolchainFile ./rust-toolchain.toml;
        rustNightlyToolchain = pkgs.rust-bin.selectLatestNightlyWith (toolchain: toolchain.minimal.override {
            extensions = [ "rustfmt" ];
            targets = [ "x86_64-unknown-linux-gnu" ];
        });


        buildTools = with pkgs; [
            rustToolchain
            rustNightlyToolchain
            pkg-config
        ];

        devShell = pkgs.mkShell {
            name = "@project_name@";
            buildInputs = buildTools;
        };
    in {
        devShells.${system}.default = devShell;
    };
}
